WindowsScrollBarUI (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsScrollBarUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ScrollBarUI
              javax.swing.plaf.basic.BasicScrollBarUI
                  com.sun.java.swing.plaf.windows.WindowsScrollBarUI
                      com.jgoodies.looks.windows.WindowsScrollBarUI

All Implemented Interfaces:
  LayoutManager, SwingConstants

    public final class WindowsScrollBarUI

extends com.sun.java.swing.plaf.windows.WindowsScrollBarUI

The JGoodies Windows L&F implementation of* `ScrollBarUI`. It differs from Sun's Windows Look in that it paints black button triangles and that it honors the `ScrollBar.width` property to determine the preferred size.

Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicScrollBarUI
`BasicScrollBarUI.ArrowButtonListener, BasicScrollBarUI.ModelListener, BasicScrollBarUI.PropertyChangeHandler, BasicScrollBarUI.ScrollListener, BasicScrollBarUI.TrackListener`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicScrollBarUI
`buttonListener, decrButton, DECREASE_HIGHLIGHT, incrButton, INCREASE_HIGHLIGHT, isDragging, maximumThumbSize, minimumThumbSize, modelListener, NO_HIGHLIGHT, propertyChangeListener, scrollbar, scrollListener, scrollTimer, thumbColor, thumbDarkShadowColor, thumbHighlightColor, thumbLightShadowColor, thumbRect, trackColor, trackHighlight, trackHighlightColor, trackListener, trackRect`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`WindowsScrollBarUI()`

Method Summary
`protected JButton` | `createDecreaseButton(int orientation)`
`protected JButton` | `createIncreaseButton(int orientation)`
`static ComponentUI` | `createUI(JComponent b)`

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsScrollBarUI
`configureScrollBarColors, createArrowButtonListener, installDefaults, paintDecreaseHighlight, paintIncreaseHighlight, paintThumb, paintTrack, setThumbRollover, uninstallUI`

Methods inherited from class javax.swing.plaf.basic.BasicScrollBarUI
`addLayoutComponent, createModelListener, createPropertyChangeListener, createScrollListener, createTrackListener, getMaximumSize, getMaximumThumbSize, getMinimumThumbSize, getPreferredSize, getSupportsAbsolutePositioning, getThumbBounds, getTrackBounds, installComponents, installKeyboardActions, installListeners, installUI, isThumbRollover, layoutContainer, layoutHScrollbar, layoutVScrollbar, minimumLayoutSize, paint, preferredLayoutSize, removeLayoutComponent, scrollByBlock, scrollByUnit, setThumbBounds, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMinimumSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsScrollBarUI

    public WindowsScrollBarUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### createDecreaseButton

    protected JButton createDecreaseButton(int orientation)

  Overrides:
    `createDecreaseButton` in class `com.sun.java.swing.plaf.windows.WindowsScrollBarUI`

### createIncreaseButton

    protected JButton createIncreaseButton(int orientation)

  Overrides:
    `createIncreaseButton` in class `com.sun.java.swing.plaf.windows.WindowsScrollBarUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.